<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Weapons/Scripts/4_world/dayzexpansion_weapons/entities/weapons/attachments/laser/expansion_anpeq15_red.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d55/a03341_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansion_anpeq15_red.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d55/a03341.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * Expansion_ANPEQ15_Red.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="keyword">class </span>Expansion_ANPEQ15_Red <span class="keyword">extends</span> <a class="code hl_class" href="../../dc/d3d/a07926.html">Expansion_Laser_Base</a></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>{</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../dc/d3d/a07926.html#a18ebe36e7649f0d97c3a5625ac9c6f43">   14</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dc/d3d/a07926.html#a18ebe36e7649f0d97c3a5625ac9c6f43">LaserColor</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#(argb,8,8,3)color(1,0,0,1.0,co)&quot;</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../dc/d3d/a07926.html#af34e0c3b5d151863347b443fc9162886">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dc/d3d/a07926.html#af34e0c3b5d151863347b443fc9162886">LaserMaterial</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;dz\\weapons\\projectiles\\data\\tracer_red.rvmat&quot;</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../dc/d3d/a07926.html#a22b3a5eee0533c179bc520e122551991">   24</a></span>    <span class="keyword">override</span> vector <a class="code hl_function" href="../../dc/d3d/a07926.html#a22b3a5eee0533c179bc520e122551991">LaserLightColor</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;1.0 0.0 0.0&quot;</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../dc/d3d/a07926.html#a402189e461b456049a8c2f6c7056280b">   29</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d3d/a07926.html#a402189e461b456049a8c2f6c7056280b">IsVisibleWithoutNVG</a>()</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>};</div>
<div class="ttc" id="aa07926_html"><div class="ttname"><a href="../../dc/d3d/a07926.html">Expansion_Laser_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/a03335_source.html#l00012">expansion_anpeq15_green.c:13</a></div></div>
<div class="ttc" id="aa07926_html_a18ebe36e7649f0d97c3a5625ac9c6f43"><div class="ttname"><a href="../../dc/d3d/a07926.html#a18ebe36e7649f0d97c3a5625ac9c6f43">Expansion_Laser_Base::LaserColor</a></div><div class="ttdeci">override string LaserColor()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d55/a03341_source.html#l00014">expansion_anpeq15_red.c:14</a></div></div>
<div class="ttc" id="aa07926_html_a22b3a5eee0533c179bc520e122551991"><div class="ttname"><a href="../../dc/d3d/a07926.html#a22b3a5eee0533c179bc520e122551991">Expansion_Laser_Base::LaserLightColor</a></div><div class="ttdeci">override vector LaserLightColor()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d55/a03341_source.html#l00024">expansion_anpeq15_red.c:24</a></div></div>
<div class="ttc" id="aa07926_html_a402189e461b456049a8c2f6c7056280b"><div class="ttname"><a href="../../dc/d3d/a07926.html#a402189e461b456049a8c2f6c7056280b">Expansion_Laser_Base::IsVisibleWithoutNVG</a></div><div class="ttdeci">override bool IsVisibleWithoutNVG()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d55/a03341_source.html#l00029">expansion_anpeq15_red.c:29</a></div></div>
<div class="ttc" id="aa07926_html_af34e0c3b5d151863347b443fc9162886"><div class="ttname"><a href="../../dc/d3d/a07926.html#af34e0c3b5d151863347b443fc9162886">Expansion_Laser_Base::LaserMaterial</a></div><div class="ttdeci">override string LaserMaterial()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d55/a03341_source.html#l00019">expansion_anpeq15_red.c:19</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_231967e67354d2a1587a650cbf6d8d36.html">Weapons</a></li><li class="navelem"><a class="el" href="../../dir_124524079885b1c4b0d93d0b33d135aa.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_4f611b807712379c14755a227cd2b980.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_71d9268c5d0bae32cace4927e5d2963a.html">dayzexpansion_weapons</a></li><li class="navelem"><a class="el" href="../../dir_e0b3ec6c4894b506155309b66017964d.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_1b5dd07fe9afc6d27ee93b1dafb854ab.html">weapons</a></li><li class="navelem"><a class="el" href="../../dir_c53f4d37ea781ad3a5e06174cd3c6ce6.html">attachments</a></li><li class="navelem"><a class="el" href="../../dir_e2f43c199f99c932c3e7db2499d86fee.html">laser</a></li><li class="navelem"><a class="el" href="../../d3/d55/a03341.html">expansion_anpeq15_red.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
